Package org.picocontainer

# Interface BehaviorFactory

All Superinterfaces:
  `ComponentFactory`

All Known Implementing Classes:
  `AbstractBehaviorFactory`, `AdaptingBehavior`, `Automating`, `Caching`, `Decorating`, `FieldDecorating`, `Guarding`, `ImplementationHiding`, `Intercepting`, `Locking`, `OptInCaching`, `PropertyApplying`, `Storing`, `Synchronizing`, `ThreadCaching`

public interface BehaviorFactory extends ComponentFactory
Extends ComponentFactory to provide factory methods for Behaviors

Author:
  Paul Hammant, Mauro Talevi

## Method Summary

Modifier and Type
Method
Description
`<T> ComponentAdapter<T>`
`addComponentAdapter(ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, ComponentAdapter<T> adapter)`
`ComponentFactory`
`wrap(ComponentFactory delegate)`

### Methods inherited from interface org.picocontainer.ComponentFactory

`accept, createComponentAdapter, verify`

## Method Details

### wrap

ComponentFactory wrap(ComponentFactory delegate)

### addComponentAdapter

<T> ComponentAdapter<T> addComponentAdapter(ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, ComponentAdapter<T> adapter)